## plasma-nano 5.24.4

=== components/CMakeLists.txt ===
project(nanoshellprivate)


add_library(plasmananoshellprivateplugin SHARED)
target_sources(plasmananoshellprivateplugin PRIVATE
    fullscreenoverlay.cpp
    fullscreenoverlay.h
    nanoshellprivateplugin.cpp
    nanoshellprivateplugin.h
    startupnotifier.cpp
    startupnotifier.h
    )
target_link_libraries(plasmananoshellprivateplugin Qt5::Core Qt5::Qml Qt5::Quick  KF5::WindowSystem KF5::WaylandClient KF5::Service)

install(TARGETS plasmananoshellprivateplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/nanoshell)

install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/nanoshell)

install(DIRECTORY qml DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/nanoshell/)

## plasma-nano 5.19.4

=== debian/changelog ===
plasma-nano (5.19.4-0xneon+18.04+bionic+build6) bionic; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Jul 2020 15:03:27 +0000

plasma-nano (5.19.4-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Jul 2020 14:16:13 +0000

plasma-nano (5.19.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jul 2020 13:27:38 +0000

plasma-nano (5.19.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Jun 2020 11:34:52 +0000

plasma-nano (5.18.5-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Feb 2020 09:39:04 +0000

plasma-nano (5.18.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Feb 2020 09:39:05 +0000

plasma-nano (5.18.0-0) bionic; urgency=medium

  [ Harald Sitter ]
  * Initial release.

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Feb 2020 09:39:10 +0000

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper (>= 9),
               extra-cmake-modules,
               libkf5plasma-dev,
               libkf5wayland-dev,
               libkf5windowsystem-dev,
               pkg-kde-tools (>= 0.9),
               qtdeclarative5-dev
Standards-Version: 3.9.6
Vcs-Git: https://anongit.neon.kde.org/kde/plasma-nano
Vcs-Browser: https://packaging.neon.kde.org/kde/plasma-nano.git
Maintainer: Neon CI <neon@kde.org>

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 5.20.5

=== debian/changelog ===
plasma-nano (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Thu, 07 Jan 2021 00:01:24 +0900

plasma-nano (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:38 +0900

plasma-nano (5.20.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add upstream metadata.

  [ Norbert Preining ]
  * New upstream release (5.20.4)
  * Add Aurélien to uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 23:50:13 +0900

plasma-nano (5.20.3-1) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Initial release. (Closes: #973912: RFP: plasma-nano -- A minimal
    Plasma shell package for embedded development)

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 01 Dec 2020 14:01:46 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 0.0.9~),
               gettext,
               libkf5plasma-dev (>= 5.74.0~),
               libkf5wayland-dev (>= 5.74.0~),
               libkf5windowsystem-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 5.21.4

=== debian/changelog ===
plasma-nano (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:39 +0100

plasma-nano (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:35:04 +0000

plasma-nano (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:35 +0000

plasma-nano (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:07:07 +0000

plasma-nano (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:51 +0000

plasma-nano (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:49 +0000

## plasma-nano 5.22.5

=== debian/changelog ===
plasma-nano (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:49:53 +0200

plasma-nano (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:01 +0100

plasma-nano (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:07:30 +0100

plasma-nano (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:55:47 +0100

plasma-nano (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:59:04 +0100

plasma-nano (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:11:26 +0100

plasma-nano (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Jun 2021 20:46:51 +0100

plasma-nano (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
            Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 0.0.9~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5plasma-dev (>= 5.74.0~),
-               libkf5wayland-dev (>= 5.74.0~),
-               libkf5windowsystem-dev (>= 5.74.0~),
+               libkf5plasma-dev (>= 5.82.0~),
+               libkf5wayland-dev (>= 4:5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.9),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.15.0~),

## plasma-nano 5.24.4

=== debian/changelog ===
plasma-nano (5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:21:24 +0100

plasma-nano (5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:52 +0000

plasma-nano (5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:58 +0000

plasma-nano (5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:22:21 +0000

plasma-nano (5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:28:34 +0000

plasma-nano (5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:59 +0000

plasma-nano (5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:41:48 +0000

plasma-nano (5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:55 +0000

plasma-nano (5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:18:47 +0000

plasma-nano (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:41:38 +0900

plasma-nano (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:03 +0900

plasma-nano (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:15 +0900

plasma-nano (5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:24:59 +0200

plasma-nano (5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:55:22 +0200

plasma-nano (5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:48:00 +0200

plasma-nano (5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:42 +0900

plasma-nano (5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:50 +0900

plasma-nano (5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:40 +0900

plasma-nano (5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Update upstream metadata.
  * New upstream release (5.21.0).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:27 +0900

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5i18n-dev (>= 5.90.0~),
               libkf5plasma-dev (>= 5.90.0~),
               libkf5wayland-dev (>= 4:5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

## plasma-nano 5.25.5

=== debian/changelog ===
plasma-nano (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:33:16 +0100

plasma-nano (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:31:40 +0200

plasma-nano (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:27:01 +0200

plasma-nano (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:46:14 +0200

plasma-nano (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:24 +0200

plasma-nano (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:44:44 +0200

plasma-nano (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:36 +0200

plasma-nano (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:45:47 +0200

plasma-nano (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:47:25 +0100

plasma-nano (5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:59:32 +0100

plasma-nano (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:44:41 +0100

plasma-nano (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:25:19 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkf5i18n-dev,
               libkf5plasma-dev (>= 5.94~),
               libkf5wayland-dev (>= 4:5.94~),
               libkf5windowsystem-dev (>= 5.94~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 5.27.3

=== debian/changelog ===
plasma-nano (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:19:33 +0000

plasma-nano (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:24:16 +0000

plasma-nano (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:58 +0000

plasma-nano (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:42:01 +0000

plasma-nano (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:56 +0000

plasma-nano (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:01:58 +0000

plasma-nano (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu maintainer and Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Dec 2022 13:13:45 +0000

plasma-nano (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:01:10 +0100

plasma-nano (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:04:55 +0000

plasma-nano (5.26.3-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu maintainer and Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 21 Nov 2022 15:19:40 +0000

plasma-nano (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:43:38 +0100

plasma-nano (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:30:59 +0200

plasma-nano (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:17 +0200

plasma-nano (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:22 +0200

plasma-nano (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:12 +0200

## plasma-nano 5.27.4

=== debian/changelog ===
plasma-nano (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:39:02 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5i18n-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends}
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 5.27.5

=== debian/changelog ===
plasma-nano (5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:42 +0200

plasma-nano (5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:24:14 +0200

plasma-nano (5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:15:13 +0100

plasma-nano (5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:53 +0100

plasma-nano (5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:40 +0100

plasma-nano (5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:55 +0100

plasma-nano (5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:59 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5i18n-dev (>= 5.102.0~),
               libkf5plasma-dev (>= 5.102.0~),
               libkf5wayland-dev (>= 4:5.102.0~),
               libkf5windowsystem-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.9),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 5.27.7

=== debian/changelog ===
plasma-nano (5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:54:08 +0200

## plasma-nano 5.27.8

=== debian/changelog ===
plasma-nano (5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:31:43 +0100

plasma-nano (5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 11:18:02 +0100

plasma-nano (5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:15:58 +0100

plasma-nano (5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:37:32 +0100

plasma-nano (5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:15:26 +0100

## plasma-nano 5.27.11

=== CMakeLists.txt ===
project(plasma-nano)

# minimal requirements
cmake_minimum_required(VERSION 3.16)
set (QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Gui Qml Quick)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Plasma WindowSystem Wayland I18n)



feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

include(CheckIncludeFiles)

plasma_install_package(shell org.kde.plasma.nano shells)
plasma_install_package(desktoptoolbox org.kde.plasma.nano.desktoptoolbox packages package)
ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.101
)


add_subdirectory(components)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

=== debian/changelog ===
plasma-nano (5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:13:28 +1100

plasma-nano (5.27.11-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:24:14 +0000

plasma-nano (5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:27:10 +0000

plasma-nano (5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 04:12:52 -0700

plasma-nano (5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:21:13 +0100

plasma-nano (5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:22:42 +0000

plasma-nano (5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:52:04 +0200

plasma-nano (5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:19:56 +0100

plasma-nano (5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: plasma-nano
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <deltaone@debian.org>,
            Norbert Preining <norbert@preining.info>,
@@ -18,8 +19,8 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
 Rules-Requires-Root: no
 
 Package: plasma-nano

## plasma-nano 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,23 @@
+cmake_minimum_required(VERSION 3.16)
+
 project(plasma-nano)
 
+set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION_MAJOR 6)
+
 # minimal requirements
-cmake_minimum_required(VERSION 3.16)
-set (QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.102.0")
+set(PROJECT_DEP_VERSION "6.1.5")
+set(QT_MIN_VERSION "6.6.0")
+set(KF6_MIN_VERSION "6.2.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -29,10 +34,10 @@
 include(FeatureSummary)
 include(ECMDeprecationSettings)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED Core Gui Qml Quick)
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Plasma WindowSystem Wayland I18n)
-
-
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Gui Qml Quick Svg)
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS WindowSystem I18n Service ItemModels)
+find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
+find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -40,8 +45,8 @@
 
 plasma_install_package(shell org.kde.plasma.nano shells)
 plasma_install_package(desktoptoolbox org.kde.plasma.nano.desktoptoolbox packages package)
-ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.101
+ecm_set_disabled_deprecation_versions(QT 6.5
+    KF 5.240
 )

=== debian/changelog ===
plasma-nano (6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 06:01:05 +0100

plasma-nano (6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:43:28 +0100

plasma-nano (6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:20 +0200

plasma-nano (6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Jun 2024 17:38:12 +0200

plasma-nano (5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:19:26 +0200

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               kwayland-dev (>= 4:6.1.5~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6service-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.2.0~),
               libplasma-dev (>= 6.1.5~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.2.5

=== debian/changelog ===
plasma-nano (6.2.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 11:23:36 +0100

plasma-nano (6.2.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Dec 2024 16:38:18 +0100

plasma-nano (6.2.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.3).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 23 Nov 2024 21:57:35 +0100

plasma-nano (6.2.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 21:25:09 +0200

plasma-nano (6.2.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.90).
  * Update build-deps and deps with the info from cmake.
  * Review copyright information.
  * New upstream release (6.2.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 05 Oct 2024 23:17:49 +0200

plasma-nano (6.1.5-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.5).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Sep 2024 23:28:16 +0200

plasma-nano (6.1.4-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Aug 2024 23:58:26 +0200

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.5.0~),
               gettext,
               kwayland-dev (>= 4:6.2.5~),
               libkf6i18n-dev (>= 6.5.0~),
               libkf6itemmodels-dev (>= 6.5.0~),
               libkf6service-dev (>= 6.5.0~),
               libkf6windowsystem-dev (>= 6.5.0~),
               libplasma-dev (>= 6.2.5~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.2.90

=== debian/changelog ===
plasma-nano (6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 08:55:46 +0000

plasma-nano (6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:03:47 +0000

plasma-nano (6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:15:37 +0000

plasma-nano (6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:59:01 +0000

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               kwayland-dev (>= 4:6.2.90~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libplasma-dev (>= 6.2.90~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0+dfsg~),
               qt6-declarative-dev (>= 6.7.0+dfsg~),
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.3.0

=== debian/changelog ===
plasma-nano (6.3.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 10 Feb 2025 15:00:33 +0100

plasma-nano (6.2.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.91).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 23 Jan 2025 23:54:05 +0100

plasma-nano (6.2.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.2.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:37:58 +0100

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               kwayland-dev (>= 4:6.3.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libplasma-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace, ${misc:Depends}, ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices

## plasma-nano 6.3.2

=== debian/changelog ===
plasma-nano (6.3.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.1).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.3.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 28 Feb 2025 00:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,12 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
-               kwayland-dev (>= 4:6.3.0~),
+               kwayland-dev (>= 4:6.3.2~),
                libkf6i18n-dev (>= 6.10.0~),
                libkf6itemmodels-dev (>= 6.10.0~),
                libkf6service-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.0~),
+               libplasma-dev (>= 6.3.2~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),

## plasma-nano 6.3.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,13 @@
 
 project(plasma-nano)
 
-set(PROJECT_VERSION "6.1.5")
+set(PROJECT_VERSION "6.3.4")
 set(PROJECT_VERSION_MAJOR 6)
 
 # minimal requirements
-set(PROJECT_DEP_VERSION "6.1.5")
-set(QT_MIN_VERSION "6.6.0")
-set(KF6_MIN_VERSION "6.2.0")
+set(PROJECT_DEP_VERSION "6.3.4")
+set(QT_MIN_VERSION "6.7.0")
+set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -44,9 +44,8 @@
 include(CheckIncludeFiles)
 
 plasma_install_package(shell org.kde.plasma.nano shells)
-plasma_install_package(desktoptoolbox org.kde.plasma.nano.desktoptoolbox packages package)
-ecm_set_disabled_deprecation_versions(QT 6.5
-    KF 5.240
+ecm_set_disabled_deprecation_versions(QT 6.8.1
+    KF 6.9.0
 )

=== components/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
     startupnotifier.cpp
     startupnotifier.h
     )
-target_link_libraries(plasmananoshellprivateplugin Qt5::Core Qt5::Qml Qt5::Quick  KF5::WindowSystem KF5::WaylandClient KF5::Service)
+target_link_libraries(plasmananoshellprivateplugin Qt::Core Qt::Qml Qt::Quick  KF6::WindowSystem Plasma::KWaylandClient KF6::Service)
 
 install(TARGETS plasmananoshellprivateplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/nanoshell)

=== debian/changelog ===
plasma-nano (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 01:02:01 +0200

=== debian/control ===
--- 
+++ 
@@ -11,18 +11,18 @@
                cmake (>= 3.16~),
                extra-cmake-modules (>= 6.10.0~),
                gettext,
-               kwayland-dev (>= 4:6.3.2~),
+               kwayland-dev (>= 4:6.3.4~),
                libkf6i18n-dev (>= 6.10.0~),
                libkf6itemmodels-dev (>= 6.10.0~),
                libkf6service-dev (>= 6.10.0~),
                libkf6windowsystem-dev (>= 6.10.0~),
-               libplasma-dev (>= 6.3.2~),
+               libplasma-dev (>= 6.3.4~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-svg-dev (>= 6.7.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-nano.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-nano
 Rules-Requires-Root: no

## plasma-nano 6.3.5

=== debian/changelog ===
plasma-nano (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:35:41 +0100

plasma-nano (6.3.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 02 Apr 2025 08:58:00 +0100

plasma-nano (6.3.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.3.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Mar 2025 15:23:43 +0000

=== debian/control ===
Source: plasma-nano
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               kwayland-dev (>= 4:6.3.5~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.10.0~),
               libkf6service-dev (>= 6.10.0~),
               libkf6windowsystem-dev (>= 6.10.0~),
               libplasma-dev (>= 6.3.5~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-svg-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-nano
Rules-Requires-Root: no

Package: plasma-nano
Architecture: any
Depends: plasma-workspace,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma shell for embedded devices
 A minimal plasma shell package intended for embedded devices
